---
title: WaveShaperNode.WaveShaperNode()
slug: Web/API/WaveShaperNode/WaveShaperNode
tags:
  - API
  - Audio
  - Constructor
  - Media
  - Reference
  - WaveShaperNode
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p><span class="seoSummary">The <strong><code>WaveShaperNode()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("WaveShaperNode")}} object which is an {{domxref("AudioNode")}} that represents a non-linear distorter.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var waveShaperNode = new WaveShaperNode(context, options)</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><em>context</em></dt>
 <dd>A reference to an {{domxref("AudioContext")}}.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>curve</code>: The shaping curve used for the waveshaping effect. The input signal is nominally within the range [-1;1].</li>
  <li><code>oversample</code>: Specifies what type of oversampling (if any) should be used when applying the shaping curve. Valid values are '<code>none</code>', '<code>2x</code>', or '<code>4x</code>'. The default is '<code>none</code>'.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("WaveShaperNode")}} object instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-waveshapernode-waveshapernode','WaveShaperNode()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.WaveShaperNode.WaveShaperNode")}}</p>
</div>
